<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="18122" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="18093"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="RegisterUserViewController" customModule="TwitterKata" customModuleProvider="target">
            <connections>
                <outlet property="errorMessage" destination="ZgD-QO-BDH" id="o9u-yD-8fe"/>
                <outlet property="nickName" destination="HgZ-ae-RbI" id="FAg-rO-8qw"/>
                <outlet property="realName" destination="Eeu-1a-OCh" id="utU-h3-WcN"/>
                <outlet property="registerButton" destination="FeQ-KF-g74" id="Q4y-an-OBm"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="FeQ-KF-g74">
                    <rect key="frame" x="147" y="423" width="120" height="60"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="120" id="1L1-KE-lgA"/>
                        <constraint firstAttribute="height" constant="60" id="Kmu-sd-MqP"/>
                    </constraints>
                    <state key="normal" title="Register"/>
                    <connections>
                        <action selector="registerTouched:" destination="-1" eventType="touchUpInside" id="8Xn-Mr-XzH"/>
                    </connections>
                </button>
                <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="HgZ-ae-RbI">
                    <rect key="frame" x="124" y="184" width="270" height="34"/>
                    <color key="backgroundColor" red="0.78757343189999995" green="0.91764705879999997" blue="0.91702992859999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <fontDescription key="fontDescription" type="system" pointSize="14"/>
                    <textInputTraits key="textInputTraits"/>
                </textField>
                <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="Eeu-1a-OCh">
                    <rect key="frame" x="124" y="237" width="270" height="34"/>
                    <color key="backgroundColor" red="0.78757343189999995" green="0.91764705879999997" blue="0.91702992859999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <fontDescription key="fontDescription" type="system" pointSize="14"/>
                    <textInputTraits key="textInputTraits"/>
                </textField>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Nickname" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="1k6-ws-XCR">
                    <rect key="frame" x="20" y="190.5" width="76" height="21"/>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Real Name" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="d97-Nh-8z1">
                    <rect key="frame" x="20" y="243.5" width="82" height="21"/>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Register User" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="8De-MQ-1hm">
                    <rect key="frame" x="131" y="84" width="152" height="21"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="152" id="JDi-MV-waL"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <label hidden="YES" opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Error" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="3" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="ZgD-QO-BDH">
                    <rect key="frame" x="57" y="793" width="300" height="69"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="300" id="OaP-at-dYt"/>
                        <constraint firstAttribute="height" constant="69" id="ub1-vd-c2w"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <color key="textColor" systemColor="systemPinkColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="QCo-uZ-aiV">
                    <rect key="frame" x="20" y="52" width="60" height="30"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="60" id="9kQ-Mg-OZh"/>
                    </constraints>
                    <state key="normal" title="&lt; back"/>
                    <connections>
                        <action selector="backButtonPressed:" destination="-1" eventType="touchUpInside" id="D4C-zZ-bt5"/>
                    </connections>
                </button>
            </subviews>
            <viewLayoutGuide key="safeArea" id="fnl-2z-Ty3"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="Eeu-1a-OCh" secondAttribute="trailing" constant="20" id="0Xf-8m-GSF"/>
                <constraint firstItem="Eeu-1a-OCh" firstAttribute="centerY" secondItem="d97-Nh-8z1" secondAttribute="centerY" id="11S-GE-1k7"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="bottom" secondItem="ZgD-QO-BDH" secondAttribute="bottom" id="JPK-bx-lfY"/>
                <constraint firstItem="HgZ-ae-RbI" firstAttribute="centerY" secondItem="1k6-ws-XCR" secondAttribute="centerY" id="SK8-hW-bjZ"/>
                <constraint firstItem="8De-MQ-1hm" firstAttribute="top" secondItem="fnl-2z-Ty3" secondAttribute="top" constant="40" id="UTj-dh-MzP"/>
                <constraint firstItem="HgZ-ae-RbI" firstAttribute="leading" secondItem="1k6-ws-XCR" secondAttribute="trailing" constant="28" id="VeG-NS-e6i"/>
                <constraint firstItem="ZgD-QO-BDH" firstAttribute="centerX" secondItem="fnl-2z-Ty3" secondAttribute="centerX" id="Wsq-bB-grc"/>
                <constraint firstItem="FeQ-KF-g74" firstAttribute="centerX" secondItem="fnl-2z-Ty3" secondAttribute="centerX" id="Y96-j5-XW1"/>
                <constraint firstItem="Eeu-1a-OCh" firstAttribute="leading" secondItem="d97-Nh-8z1" secondAttribute="trailing" constant="22" id="aMJ-5d-qpV"/>
                <constraint firstItem="QCo-uZ-aiV" firstAttribute="top" secondItem="fnl-2z-Ty3" secondAttribute="top" constant="8" id="dr7-nD-SqJ"/>
                <constraint firstItem="1k6-ws-XCR" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="20" id="iLn-Xb-F6V"/>
                <constraint firstItem="HgZ-ae-RbI" firstAttribute="top" secondItem="8De-MQ-1hm" secondAttribute="bottom" constant="79" id="jP9-XT-6jc"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="HgZ-ae-RbI" secondAttribute="trailing" constant="20" id="q3O-yG-Dhj"/>
                <constraint firstItem="8De-MQ-1hm" firstAttribute="centerX" secondItem="fnl-2z-Ty3" secondAttribute="centerX" id="qbx-Vf-7Gf"/>
                <constraint firstItem="d97-Nh-8z1" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="20" id="sDf-aE-e91"/>
                <constraint firstItem="Eeu-1a-OCh" firstAttribute="top" secondItem="HgZ-ae-RbI" secondAttribute="bottom" constant="19" id="vCi-Bu-jlN"/>
                <constraint firstItem="QCo-uZ-aiV" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="20" id="vy3-aH-OBh"/>
                <constraint firstItem="FeQ-KF-g74" firstAttribute="centerY" secondItem="fnl-2z-Ty3" secondAttribute="centerY" id="wvc-4k-Mog"/>
            </constraints>
            <point key="canvasLocation" x="131.8840579710145" y="130.58035714285714"/>
        </view>
    </objects>
    <resources>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemPinkColor">
            <color red="1" green="0.17647058823529413" blue="0.33333333333333331" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
